# Backend Documentation

## Open Endpoints

Open endpoints require no Authentication.


### User 

* [Show data of a user](/user/get_user.md) : `GET /api.php/user/{id}`
* [Create a new user](/user/post_user.md) : `POST /api.php/user/`
* [Delete a user](/user/delete_user.md) : `DELETE /api.php/user/{id}` Should be a closed endpoint.

### Users

* [Get all users data](/users/get_users.md) : `GET /api.php/users/`

### Login

* [Login](login.md) : `POST /api/login/`

### Game

* [Retrieve game data](/game/get_game.md) : `GET /api.php/game/{id}`
* [Delete one game](/game/get_game.md) : `DELETE /api.php/game/{id}`
* [Create a game](/game/get_game.md) : `POST /api.php/game/{id}`

### GameUser

* [Retrieve all users in one game](/gameUser/get_gameuser_game.md) : `GET /api.php/gameuser/game/{game.id}`
* [Retrieve the information of all games for one user](/gameUser/get_gameuser_user.md) : `GET /api.php/gameuser/user/{user.id}`
* [Add a user in a game](/gameUser/post_gameuser.md) : `POST /api.php/gameuser`
* [Delete a user in a game](/gameUser/delete_gameuser.md) : `DELETE /api.php/gameuser`

### Online

* [Get a public game id](/online/get_online.md) : `GET /api.php/online/{user.id}`
* [Add a user in the queue for public game](/online/post_online.md) : `POST /api.php/online/{user.id}`
* [Delete someone from the queue fo public game](/online/delete_online.md) : `DELETE /api.php/online/{user.id}`

### Result

* [Get the result of a round](/result/get_result.md) : `GET /api.php/result/{game.id}`
* [Store the result of a round](/result/post_result.md) : `POST /api.php/result/{game.id}`
* [Delete the result of a round](/result/delete_result.md) : `DELETE /api.php/result`

## Endpoints that require Authentication

Closed endpoints require a valid Token to be included in the header of the
request. 

* [Update user informations](put_user.md) : `PUT /api.php/user/{id}`

